# Generated from notifications-rails-3.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name notifications-rails

Name: rubygem-%{gem_name}
Version: 3.0.3
Release: 1%{?dist}
Summary: The most powerful library for the handling and (cross-platform) delivery of notifications with Rails
License: MIT
URL: https://github.com/jonhue/notifications-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(factory_bot)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rails)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
notifications-rails is the most powerful notification library for Rails. It
offers not only simple APIs to create and render notifications but also
supports user-integration and cross-platform delivery of notifications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 3.0.3-1
- Initial package
